/* Blinker
   Copyright 2011-2019 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef BLINKER_MGRS_H
#define BLINKER_MGRS_H

#include "CallMgr.h"
#include "OpMgr.h"
#include "StreamMgr.h"
#include "SyncMgr.h"

namespace Blinker {

/// structure to collect all managers
struct Mgrs
{
  CallMgr   m_callMgr;   ///< call manager
  OpMgr     m_opMgr;     ///< operator connection manager
  StreamMgr m_streamMgr; ///< stream manager
  SyncMgr   m_syncMgr;   ///< synchronization stream manager
}; // struct Mgrs

} // namespace Blinker

#endif // #ifndef BLINKER_MGRS_H

