/* Blinker
   Copyright 2011-2019 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef UDP6SYNCRECEIVER_H
#define UDP6SYNCRECEIVER_H

#include "SyncReceiver_impl.h"
#include "Udp6Addr.h"
#include "Udp6Sock.h"

namespace Blinker {

/// UDP v6 synchronization stream receiver
typedef SyncReceiver<Udp6Addr, Udp6Sock> Udp6SyncReceiver;

} // namespace Blinker

#endif // #ifndef UDP6SYNCRECEIVER_H

